Kerbal Space Program - Bug #9388

1.1: Docking Port Glitch
04/21/2016 05:32 PM - Metalsand

Status: Needs Clarification Start date: 04/21/2016
Severity: Low % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Bug:

When using a docking port for staging and possibly others, upon separation the game switches to the Docking Mode control scheme
without actually switching to docking mode. The bug only affects the child ship; the parent ship is unaffected.

Workaround:

If I switch to Docking Mode, then switch back to Staging Mode, it will load the Staging Control scheme and | am able to stage
normally.

Assumptions:

Bug is assumed to only occur with ships that are launched from VAB/SPH docked; | do not have the time to be more thorough
unfortunately, but my assumption is based off of my understanding of how KSP handles docking; my guess is that it does not
properly initialize the child craft's settings when spawning a ship that uses a docking port to initialize a two-part rocket.

Images:

Image of rocket after spawned.
64BEB5A77E230870B1726F1BB3F2E2C020235A72

After breaking connection, game will not let me stage and | found that if | mash spacebar, it says "Lin/Rot Switch Mode", a message
that comes up only with the Docking Mode control scheme loaded.
344D813C4F2ED9E8207614EEFC33542156C 18609

Rocket begins operating normally after clicking the Docking button on the lower left-hand corner then clicking on the staging mode
button above it.
54E6FC30DA0D296CDB90A3DAAFA2CC2C42CD2CCB

History

#1 - 04/22/2016 05:24 PM - sal_vager

- Status changed from New to Need More Info

Can't reproduce it here Metalsand, can you post your logs, settings.cfg and craft file please.

#2 - 07/17/2016 09:47 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification
